Subject: Re: bug#43467: [PATCH] defcustom warning-show-suppression-buttons correction

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 17 Sep 2020 19:27:45 +0200

No Wayman <[email-masked]> writes:

>> Warnings are something you should rarely get, so I'm not quite sure I
>> see the use case for this?  In any case, some minor comments...
>
> The same argument could be made against the buttons/suppression
> themselves:
>
> "Warnings are something you should rarely get, so I'm not quite sure I
> see the use case for suppressing them."

No, the opposite -- since you get the warnings so seldom, it makes sense
to have the very few you see come with ready-made ways of making them go
away, and then you're back to no warnings again.

> I don't see either as a particularly strong argument.
> For me, the buttons are useless because I have `custom-file` set to
> `null-device'.

I think that's a very unusual thing to do, so it doesn't seem much like
a use case.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no